be.ehealth.technicalconnector.service.sts.security

## Interface Credential

- All Known Subinterfaces:
    ExtendedCredential, SAML11Token, SAML20Token, SAMLHolderOfKeyToken, SAMLSenderVouchesToken, SAMLToken
  All Known Implementing Classes:
    AbstractExtendedCredential, AbstractSAML11Token, AbstractSAML20Token, AbstractSAMLToken, BeIDCredential, KeyPairCredential, KeyStoreCredential, SAML11HolderOfKeyToken, SAML11SenderVouchesToken, SAML20HolderOfKeyToken, SAML20SenderVouchesToken

      public interface Credential

  The Interface Credential.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `X509Certificate` | `getCertificate()` Gets the certificate.
    `Certificate[]` | `getCertificateChain()` Gets the certificate chain
    `String` | `getIssuer()` Gets the issuer.
    `String` | `getIssuerQualifier()` Gets the issuer qualifier.
    `KeyStore` | `getKeyStore()` Gets the associated `KeyStore`
    `PrivateKey` | `getPrivateKey()` Gets the private key.
    `String` | `getProviderName()` Gets the keystore provider
    `PublicKey` | `getPublicKey()` Gets the public key.

- - ### Method Detail

    - #### getIssuer

          String getIssuer()
                    throws TechnicalConnectorException

      Gets the issuer.
      Throws:
        `TechnicalConnectorException`

    - #### getIssuerQualifier

          String getIssuerQualifier()
                             throws TechnicalConnectorException

      Gets the issuer qualifier.
      Throws:
        `TechnicalConnectorException`

    - #### getPublicKey

          PublicKey getPublicKey()
                          throws TechnicalConnectorException

      Gets the public key.
      Throws:
        `TechnicalConnectorException`

    - #### getPrivateKey

          PrivateKey getPrivateKey()
                            throws TechnicalConnectorException

      Gets the private key.
      Throws:
        `TechnicalConnectorException`

    - #### getCertificate

          X509Certificate getCertificate()
                                  throws TechnicalConnectorException

      Gets the certificate.
      Throws:
        `TechnicalConnectorException`

    - #### getProviderName

          String getProviderName()
                          throws TechnicalConnectorException

      Gets the keystore provider
      Throws:
        `TechnicalConnectorException`

    - #### getCertificateChain

          Certificate[] getCertificateChain()
                                     throws TechnicalConnectorException

      Gets the certificate chain
      Throws:
        `TechnicalConnectorException`

    - #### getKeyStore

          KeyStore getKeyStore()
                        throws TechnicalConnectorException

      Gets the associated `KeyStore`
      Throws:
        `TechnicalConnectorException`

Connector Packaging OTMOBILITYIMPROVEMENT 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.